libsigc++ 2.99.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::bind_functor<-1, T_functor, T_type...> Struct Template Reference
Adaptors » bind(), bind_return()

Adaptor that binds argument(s) to the wrapped functor. More...

`#include <sigc++/adaptors/bind.h>`

Inheritance diagram for sigc::bind_functor<-1, T_functor, T_type...>:
[legend]

## Public Types
using | adaptor_type = typename adapts< T_functor >::adaptor_type
using | result_type = typename adaptor_type::result_type
Public Types inherited from sigc::adapts< T_functor >
using | adaptor_type = typename adaptor_trait< T_functor >::adaptor_type
using | result_type = typename adaptor_trait< T_functor >::result_type

## Public Member Functions
| bind_functor (type_trait_take_t< T_functor > _A_func, type_trait_take_t< T_type >..._A_bound)
| Constructs a bind_functor object that binds an argument to the passed functor. More...
template<class... T_arg>
decltype(auto) | operator() (T_arg&&..._A_arg)
| Invokes the wrapped functor passing on the arguments. More...
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Public Attributes
std::tuple< bound_argument< T_type >...> | bound_
| The argument bound to the functor. More...
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<class T_functor, class... T_type>
struct sigc::bind_functor<-1, T_functor, T_type...>

Adaptor that binds argument(s) to the wrapped functor.

This template specialization fixes the last argument(s) of the wrapped functor.

## Member Typedef Documentation

template <class T_functor , class... T_type>

using sigc::bind_functor<-1, T_functor, T_type...>::adaptor_type = typename adapts<T_functor>::adaptor_type

template <class T_functor , class... T_type>

using sigc::bind_functor<-1, T_functor, T_type...>::result_type = typename adaptor_type::result_type

## Constructor & Destructor Documentation

template <class T_functor , class... T_type>

sigc::bind_functor<-1, T_functor, T_type...>::bind_functor | ( | type_trait_take_t< T_functor > | _A_func,
|  | type_trait_take_t< T_type >... | _A_bound
| ) |  |
| inline

Constructs a bind_functor object that binds an argument to the passed functor.

Parameters

  _A_func | Functor to invoke from operator()().
  _A_bound | Arguments to bind to the functor.

## Member Function Documentation

template <class T_functor , class... T_type>
template <class... T_arg>

decltype(auto) sigc::bind_functor<-1, T_functor, T_type...>::operator() | ( | T_arg &&... | _A_arg | ) |
| inline

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the next argument.

Parameters

  _A_arg | Arguments to be passed on to the functor.

Returns
  The return value of the functor invocation.

## Member Data Documentation

template <class T_functor , class... T_type>

std::tuple<bound_argument<T_type>...> sigc::bind_functor<-1, T_functor, T_type...>::bound_

The argument bound to the functor.